Connections
Retrieve a connection
Returns connection metadata and status. Sensitive credential fields are never included in the response.
Scope: connection:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
connection_id*connection_id
The unique identifier of the connection (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://admiral.example.com/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "connection": { "id": "b8c9d0e1-2345-6fab-cdef-0123456789ab", "name": "ecr-prod", "description": "Read-only access to production ECR registry for container image pulls.", "type": "CONNECTION_TYPE_DOCKER_REGISTRY", "status": "CONNECTION_STATUS_ACTIVE", "labels": { "cloud": "aws", "team": "platform" }, "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851", "created_at": "2025-07-20T14:00:00Z", "updated_at": "2025-10-15T10:30:00Z", "last_tested_at": "2025-11-01T08:00:00Z" }}